Chile

Learn about the dLocal supported payment methods in Chile.

Market specifications

Take a look of all the payment methods available.

Country reference Cards supported APM supported

Cards


Find all the information about the card supported capabilities.

Capabilities Process Card Payments

Alternative Payments

Learn how to integrate cash, bank transfer or wallet payment.

Webpay Sencillito Khipu Mercado Pago Servipag

Market specifications

Do you want to know more information about Chile's market? Go to the Chile’s economy and eCommerce market article.

Country reference

country codecurrency codeamount decimalsdocument namedocument formatdocument required?
CLCLP0CI or RUTBetween 8 to 9 charactersYes

👍

Multi-currency support available for cards

Supports charging in either USD or local currency for debit card transactions. To charge in USD, use the currency_to_charge parameter with the value USD; otherwise, the transaction will be processed in local currency by default.


Cards supported

payment_method_idBrand IDNamepayment_method_typeDetailsAllowed FlowsLogo
CARDVIVisaCARDCredit Card ​DIRECT REDIRECT
CARDVDVisa Debit ​CARDDebit Card ​DIRECT REDIRECT
CARDMCMastercardCARDCredit Card ​DIRECT REDIRECT
CARDMDMastercard Debit ​CARDDebit Card ​DIRECT REDIRECT
CARDAEAmerican ExpressCARDCredit Card ​DIRECT REDIRECT
CARDCMCMRCARDCredit Card ​DIRECT REDIRECT
CARDMHMachCARDPrepaid Card ​DIRECT REDIRECT
ℹ️

To offer all the card options that may be available in your integration, send the payment_method_id as CARD.

Alternative Payment Method supported

payment_method_idNamepayment_method_typeDetailsAllowed FlowsLogo
WPWebpayBANK_TRANSFERBank Transfer OnlineREDIRECT
SKSencillitoTICKETCash PaymentDIRECT REDIRECT
IOKhipuBANK_TRANSFERBank Transfer OnlineREDIRECT
MPMercado PagoBANK_TRANSFERWalletDIRECT REDIRECT
SPServipagTICKETCash Payment ​DIRECT REDIRECT


Cards

Capabilities

To view the information for all the cards, position the cursor over the table and use the horizontal scroll to navigate.

Visa CreditMastercard CreditVisa DebitMastercard DebitAmerican ExpressCMRMach
Minimum amount50 CLP50 CLP50 CLP50 CLP50 CLP50 CLP50 CLP
RefundsYesYesYesYesYesYesYes
RecurringYesYesYesYesYesYesYes
Chargeback optionYesYesYesYesYesYesYes
Chargeback Dispute optionYesYesYesYesYesYesYes
Charge in USDYesYesYesYesYesYesYes
DescriptorCan be personalized, depending on the provider.Can be personalized, depending on the provider.Can be personalized, depending on the provider.Can be personalized, depending on the provider.Can be personalized, depending on the provider.Can be personalized, depending on the provider.Can be personalized, depending on the provider.

How to process Card Payments?

Learn how to process payments with credit and debit cards with dLocal in our Card Payments section.



Alternative Payment Method

Webpay

Webpay is the most popular payment platform in Chile.

When paying with Webpay, users will be able to choose between credit or debit cards, after which they will be redirected to the card's issuer bank in order to validate/authorize the payment.

Capabilities

Webpay
Min. amount50 CLP
Max. expiration time supported5 days
Notification delayImmediate
RefundsYes
FlowREDIRECT

UX Flow

The screenshots illustrate a generic Webpay redirect flow, choosing cards as the payment method.

The screenshots illustrate a generic Webpay redirect flow, choosing cards as the payment method.

Request parameters

PropertyTypeDescriptionMandatory?
amountNumberAmount to be charged.Yes
currencyStringCLP

Transaction currency in ISO 4217.
Yes
countryStringCL

Transaction country in ISO 3166.
Yes
payment_method_idStringWP

ID of the selected payment method.
Yes
payment_method_flowStringREDIRECTYes
payer.nameStringName of the payer.Yes
payer.emailStringEmail of the payer.Yes
payer.documentStringDocument of the payer.Yes
order_idStringID of the capture given by the merchant in their system. Think of it as an external ID of the capture.No
notification_urlStringNotifications will be sent in every change of status of a payment to the notification_url specified by the merchant.No

Examples

{
    "amount": 100,
    "currency": "CLP",
    "country": "CL",
    "payment_method_id": "WP",
    "payment_method_flow": "REDIRECT",
    "payer": {
        "name": "Jane Doe",
        "email": "[email protected]",
        "document": "12345678",
        "address": {
            "country": "CL",
            "state": "Santiago",
            "city": "Santiago",
            "zip_code": "8858",
            "street": "Av. Principal",
            "number": "5940"
        }
    },
    "order_id": "34545sk3483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "callback_url": "http://merchantsite.com/success_page"
}
{
    "id": "R-4-aa96606a-aad8-4112-b9b7-238e8ca88d52",
    "amount": 100,
    "currency": "CLP",
    "payment_method_id": "WP",
    "payment_method_type": "BANK_TRANSFER",
    "payment_method_flow": "REDIRECT",
    "country": "CL",
    "created_date": "2023-01-17T15:37:04.000+0000",
    "status": "PENDING",
    "status_detail": "The payment is pending.",
    "status_code": "100",
    "order_id": "34545sk1483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "redirect_url": "https://pay.dlocal.com/gmf-apm/payments-redirect/M-a2f0585e-6bfc-4e15-8665-a5fcc343789d"
}

Sencillito

A solution used mainly to pay utilities and bills.

Sencillito provides vouchers that users can use to make cash payments at a wide range of stores across the country and also to pay online with debit/prepaid cards or bank transfers.

Capabilities

Sencillito
Min. amount50 CLP
Max. expiration time supported7 days
Notification delayImmediate
RefundsYes
FlowDIRECT
REDIRECT

Request parameters

PropertyTypeDescriptionMandatory?
amountNumberAmount to be charged.Yes
currencyStringCLP

Transaction currency in ISO 4217.
Yes
countryStringCL

Transaction country in ISO 3166.
Yes
payment_method_idStringSK

ID of the selected payment method.
Yes
payment_method_flowStringDIRECT or REDIRECTYes
payer.nameStringName of the payer.Yes
payer.emailStringEmail of the payer.Yes
payer.documentStringDocument of the payer.Yes
order_idStringID of the capture given by the merchant in their system. Think of it as an external ID of the capture.No
notification_urlStringNotifications will be sent in every change of status of a payment to the notification_url specified by the merchant.No

Examples

{
    "amount": 10000,
    "currency": "CLP",
    "country": "CL",
    "payment_method_id": "SK",
    "payment_method_flow": "DIRECT",
    "payer": {
        "name": "Jane Doe",
        "email": "[email protected]",
        "document": "12345678",
        "address": {
            "country": "CL",
            "state": "Santiago",
            "city": "Santiago",
            "zip_code": "8858",
            "street": "Av. Principal",
            "number": "5940"
        }
    },
    "order_id": "34545sk3483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "callback_url": "http://merchantsite.com/success_page"
}
{
    "id": "D-4-77c8f76f-5f12-463f-9176-1ad56ebfbb1e",
    "amount": 10000,
    "currency": "CLP",
    "payment_method_id": "SK",
    "payment_method_type": "TICKET",
    "payment_method_flow": "DIRECT",
    "country": "CL",
    "bank_transfer": {},
    "ticket": {
        "type": "CUSTOM",
        "number": "134216",
        "expiration_date": "2023-06-17T02:59:00.000+0000",
        "provider_logo": "https://static.dlocal.com/images/providers/sencillito.png",
        "image_url": "https://pay.dlocal.com/gmf-apm/payments/M-0e85fa4f-c613-4995-b9bb-c489712643a1",
        "amount": 10000,
        "currency": "CLP"
    },
    "created_date": "2023-06-10T15:32:33.000+0000",
    "status": "PENDING",
    "status_detail": "The payment is pending.",
    "status_code": "100",
    "order_id": "34545sk3483kqw0",
    "notification_url": "http://merchantsite.com/notification/new"
}

Example ticket

Sencillito UI built with the information in the example above.

Sencillito UI built with the information in the example above.

User Interface Tips UI

If you are using these payment methods through a DIRECT integration, follow the tips below in order to make it easier for your customers to complete payments, boosting your conversion rates.

ElementTip
Ticket NumberIt is the number that payers must dictate the cashiers in order to complete payment. Name it "Código".
Currency and AmountShould be relevant elements in the ticket. Users need to have that information very clear.
Currency Symbol$
Expiration dateDisplay this element clearly and visible enough. In Chile, the date format is DD/MM/YYYY.
Payment instructionsAlthough most users are familiarized with payment methods such as Sencillito, it is a good practice to help those who are not. The image above is an example of instructions, but if needed, our team will be happy to help you with more personalized instructions.
Portal SencillitoMost users prefer to pay Sencillito transactions using cash, but some of them prefer to pay them digitally. In order to do so, they need to visit the Sencillito page and input the Ticket Number.
Store locatorLink it to https://www.google.com/maps/search/sencillito/.
Save buttonIt helps users to have their tickets always on their phones, making it needless to take notes or keep the browser open.
Print buttonIt is useful for some users who need to have their tickets printed.

Khipu

Redirect solution that processes online transfers for all Chilean banks.

Capabilities

Khipu
Min. amount2000 CLP
Max. expiration time supported5 days
Notification delayImmediate
RefundsYes
FlowREDIRECT

UX Flow

The screenshots illustrate a generic Khipu redirect flow.

The screenshots illustrate a generic Khipu redirect flow.

Request parameters

PropertyTypeDescriptionMandatory?
amountNumberAmount to be charged.Yes
currencyStringCLP

Transaction currency in ISO 4217.
Yes
countryStringCL

Transaction country in ISO 3166.
Yes
payment_method_idStringIO

ID of the selected payment method.
Yes
payment_method_flowStringREDIRECTYes
payer.nameStringName of the payer.Yes
payer.emailStringEmail of the payer.Yes
payer.documentStringDocument of the payer.Yes
order_idStringID of the capture given by the merchant in their system. Think of it as an external ID of the capture.No
notification_urlStringNotifications will be sent in every change of status of a payment to the notification_url specified by the merchant.No

Examples

{
    "amount": 100,
    "currency": "CLP",
    "country": "CL",
    "payment_method_id": "IO",
    "payment_method_flow": "REDIRECT",
    "payer": {
        "name": "Jane Doe",
        "email": "[email protected]",
        "document": "12345678",
        "address": {
            "country": "CL",
            "state": "Santiago",
            "city": "Santiago",
            "zip_code": "8858",
            "street": "Av. Principal",
            "number": "5940"
        }
    },
    "order_id": "34545sk3483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "callback_url": "http://merchantsite.com/success_page"
}
{
    "id": "R-4-asaf2e49-7a13-4148-b148-6e912ec612d4",
    "amount": 100,
    "currency": "CLP",
    "payment_method_id": "IO",
    "payment_method_type": "BANK_TRANSFER",
    "payment_method_flow": "REDIRECT",
    "country": "CL",
    "created_date": "2023-01-17T15:37:59.000+0000",
    "status": "PENDING",
    "status_detail": "The payment is pending.",
    "status_code": "100",
    "order_id": "345411483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "redirect_url": "https://pay.dlocal.com/gmf-apm/payments-redirect/M-63350f10-e7db-405c-be64-1c5d97be45e1"
}

Mercado Pago

dLocal offers two Mercado Pago products in CL:

  • MY — Mercado Pago Checkout Pro: one-shot payments only. The user completes payment through a Mercado Pago-hosted redirect. No enrollment or tokenization.
  • MP — Mercado Pago Wallet Connect: recurring and tokenized payments. The user authorizes the merchant once via a redirect enrollment, and all subsequent charges are made directly using the enrollment ID.
ℹ️

Wallet Connect activation

Mercado Pago Wallet Connect (MP) requires activation per merchant per country. Contact your dLocal account team before integrating the recurring flow.


Mercado Pago Checkout Pro (MY)

Mercado Pago Checkout Pro is a one-shot wallet payment. The user is redirected to Mercado Pago to complete the payment. No token or enrollment is created.

Capabilities

Mercado Pago Checkout Pro (MY)
Min. amount50 CLP
Max. expiration time supported5 minutes (authentication)
Notification delayImmediate
RefundsYes
FlowREDIRECT

UX Flow

The screenshots illustrate a Mercado Pago one-shot payment redirect flow. The specifics of the flow may vary depending on the payment method selected to complete the payment.

The screenshots illustrate a Mercado Pago one-shot payment redirect flow. The specifics of the flow may vary depending on the payment method selected to complete the payment.

How to process Mercado Pago Checkout Pro payments?

Learn how to process one-shot wallet payments with dLocal in our Wallet payments section.


Mercado Pago Wallet Connect (MP)

Mercado Pago Wallet Connect is the recurring and tokenized wallet product. The user authorizes the merchant once through a redirect enrollment. All subsequent charges use the enrollment ID directly — no redirect or re-authentication required.

Capabilities

Mercado Pago Wallet Connect (MP)
Min. amount50 CLP
Max. expiration time supported5 minutes (authentication)
Notification delayImmediate
RefundsYes
Enrollment flowREDIRECT
Recurring charge flowDIRECT — synchronous PAID

UX Flow

The screenshots illustrate a Mercado Pago tokenized wallet redirect flow.

The screenshots illustrate a Mercado Pago tokenized wallet redirect flow.

How it works

The Enrollment API for MP supports two patterns:

PatternWhen to use
Enrollment only (POST /enrollments)Establish the user's authorization without an initial charge.
Payment + Enrollment in the same request (POST /payments with enrollment object)Charge the user and establish the authorization simultaneously.

Once the enrollment is ACTIVE, all subsequent charges are made via POST /payments using enrollment.id inside an enrollment object, with payment_method_flow: "DIRECT". Recurring DIRECT charges return a synchronous PAID response — no webhook is needed to confirm final status.

ℹ️

Enrollment type for Mercado Pago

Always send "type": "ON_DEMAND" for MP. This is the only valid enrollment type for Mercado Pago Wallet Connect.


Pattern 1 — Enrollment only

Use POST /enrollments to establish the user's authorization without an initial charge.

{
  "external_id": "enroll-cl-001",
  "type": "ON_DEMAND",
  "country": "CL",
  "currency": "CLP",
  "payment_method_id": "MP",
  "payment_method_flow": "REDIRECT",
  "payer": {
    "name": "Jane Doe",
    "email": "[email protected]",
    "document": "12345678"
  },
  "notification_url": "https://merchantsite.com/enrollment_notifications",
  "callback_url": "https://merchantsite.com/enrollment_callback"
}
{
  "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4",
  "external_id": "enroll-cl-001",
  "country": "CL",
  "currency": "CLP",
  "type": "ON_DEMAND",
  "payment_method_id": "MP",
  "payment_method_flow": "REDIRECT",
  "payment_method_type": "WALLET",
  "created_date": "2025-06-01T10:00:00.000+0000",
  "status": "PENDING",
  "status_detail": "The enrollment is pending.",
  "status_code": "100",
  "redirect_url": "https://pay.dlocal.com/gmf-apm/payments-redirect/M-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "notification_url": "https://merchantsite.com/enrollment_notifications"
}
{
  "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4",
  "external_id": "enroll-cl-001",
  "country": "CL",
  "currency": "CLP",
  "type": "ON_DEMAND",
  "payment_method_id": "MP",
  "payment_method_flow": "REDIRECT",
  "payment_method_type": "WALLET",
  "created_date": "2025-06-01T10:00:00.000+0000",
  "status": "ACTIVE",
  "status_detail": "The enrollment is active.",
  "status_code": "200",
  "notification_url": "https://merchantsite.com/enrollment_notifications"
}
📘

Enrollment ID

Persist the id value (e.g., E-4-32e1218f-...) when the webhook reaches ACTIVE status. Pass it as enrollment.id inside an enrollment object on all future recurring charge requests.

To check enrollment status at any time, use the Get enrollment endpoint.

To cancel an enrollment, use the Cancel an enrollment endpoint.

Enrollment status codes:

statusstatus_codeDescription
PENDING100Enrollment created. User must complete authorization via the redirect URL.
ACTIVE200User approved. Enrollment ID is ready for recurring charges.
CANCELLED400The enrollment was cancelled.
REJECTED300The user did not complete or declined the authorization.

Pattern 2 — Payment + Enrollment in the same request

Include an enrollment object in POST /payments to create the first charge and enrollment simultaneously.

{
  "amount": 10000,
  "currency": "CLP",
  "country": "CL",
  "payment_method_id": "MP",
  "payment_method_flow": "REDIRECT",
  "payer": {
    "name": "Jane Doe",
    "email": "[email protected]",
    "document": "12345678"
  },
  "enrollment": {
    "external_id": "enroll-cl-001",
    "type": "ON_DEMAND",
    "notification_url": "https://merchantsite.com/enrollment_notifications",
    "callback_url": "https://merchantsite.com/enrollment_callback"
  },
  "order_id": "ord-cl-001",
  "notification_url": "https://merchantsite.com/payments",
  "callback_url": "https://merchantsite.com/payment_callback"
}
{
  "id": "F-4-9a8b7c6d-5e4f-3a2b-1c0d-ef1234567890",
  "amount": 10000,
  "currency": "CLP",
  "payment_method_id": "MP",
  "payment_method_type": "WALLET",
  "payment_method_flow": "REDIRECT",
  "country": "CL",
  "created_date": "2025-06-01T10:00:00.000+0000",
  "status": "PENDING",
  "status_detail": "The payment is pending.",
  "status_code": "100",
  "order_id": "ord-cl-001",
  "notification_url": "https://merchantsite.com/payments",
  "redirect_url": "https://pay.dlocal.com/gmf-apm/payments-redirect/M-b2c3d4e5-...",
  "enrollment": {
    "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4",
    "external_id": "enroll-cl-001",
    "created_date": "2025-06-01T10:00:00.000+0000",
    "status": "PENDING",
    "status_detail": "The enrollment is pending.",
    "status_code": "100"
  }
}
{
  "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4",
  "external_id": "enroll-cl-001",
  "country": "CL",
  "currency": "CLP",
  "type": "ON_DEMAND",
  "payment_method_id": "MP",
  "payment_method_flow": "REDIRECT",
  "payment_method_type": "WALLET",
  "created_date": "2025-06-01T10:00:00.000+0000",
  "status": "ACTIVE",
  "status_detail": "The enrollment is active.",
  "status_code": "200",
  "notification_url": "https://merchantsite.com/enrollment_notifications"
}
{
  "id": "F-4-9a8b7c6d-5e4f-3a2b-1c0d-ef1234567890",
  "amount": 10000,
  "status": "PAID",
  "status_detail": "The payment was paid.",
  "status_code": "200",
  "currency": "CLP",
  "country": "CL",
  "payment_method_id": "MP",
  "payment_method_type": "WALLET",
  "payment_method_flow": "REDIRECT",
  "payer": {
    "name": "Jane Doe",
    "email": "[email protected]",
    "document": "12345678"
  },
  "enrollment": {
    "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4",
    "external_id": "enroll-cl-001"
  },
  "order_id": "ord-cl-001",
  "notification_url": "https://merchantsite.com/payments",
  "created_date": "2025-06-01T10:00:00.000+0000"
}
📘

Single request, dual outcome

This request produces two independent asynchronous notifications — one for the enrollment (sent to enrollment.notification_url) and one for the payment (sent to notification_url). They may arrive in any order. Persist enrollment.id only after the enrollment notification reaches ACTIVE. Grant entitlement only after the payment notification reaches PAID.


Recurring charges

Once the enrollment is ACTIVE, charge the user by passing enrollment.id inside an enrollment object. The synchronous response is the final status — no webhook is needed.

{
  "amount": 10000,
  "currency": "CLP",
  "country": "CL",
  "payment_method_id": "MP",
  "payment_method_flow": "DIRECT",
  "payer": {
    "name": "Jane Doe",
    "email": "[email protected]",
    "document": "12345678"
  },
  "enrollment": {
    "id": "E-4-32e1218f-b6ec-3f21-13d5-50v12ere2ca4"
  },
  "order_id": "ord-cl-recurring-001",
  "notification_url": "https://merchantsite.com/payments"
}
{
  "id": "F-4-b2c8d5e1-3f7a-4c9b-a123-7d8e9f0a1b2c",
  "amount": 10000,
  "currency": "CLP",
  "country": "CL",
  "payment_method_id": "MP",
  "payment_method_type": "WALLET",
  "payment_method_flow": "DIRECT",
  "created_date": "2025-07-01T10:00:00.000+0000",
  "status": "PAID",
  "status_detail": "The payment was paid.",
  "status_code": "200",
  "order_id": "ord-cl-recurring-001",
  "notification_url": "https://merchantsite.com/payments"
}
📘

Synchronous PAID for recurring charges

MP recurring DIRECT charges return the final PAID or REJECTED status synchronously. You do not need to wait for a webhook before granting entitlement.

ℹ️

result_info

The recurring charge response may include a result_info object with user_id and sub_payment_method fields for reconciliation purposes. This field requires enablement — contact your dLocal account team to activate it.


Request parameters

PropertyTypeDescriptionMandatory?
amountNumberAmount to be charged.Yes
currencyStringCLP. Transaction currency.Yes
countryStringCL. Transaction country.Yes
payment_method_idStringMP. ID of the selected payment method.Yes
payment_method_flowStringREDIRECT (enrollment) or DIRECT (recurring charge).Yes
payer.nameStringName of the payer.Yes
payer.emailStringEmail of the payer.Yes
payer.documentStringDocument of the payer.Yes
enrollment.idStringEnrollment ID from a previous active enrollment, passed as enrollment.id inside an enrollment object.Yes, for recurring charges
enrollmentObjectInclude in POST /payments for Pattern 2 (payment + enrollment simultaneously).Yes, for Pattern 2
enrollment.external_idStringYour internal identifier for the enrollment.Yes
enrollment.typeStringMust be ON_DEMAND for MP.Yes
enrollment.notification_urlStringURL where dLocal sends enrollment status notifications.Yes
enrollment.callback_urlStringURL where the user lands after completing the enrollment redirect.No
wallet.deviceIdStringDevice fingerprint for anti-fraud. Recommended for all MP integrations. See Device ID for the web script and mobile SDK fingerprint structure.Recommended
order_idStringID given by the merchant in their system.No
notification_urlStringdLocal sends notifications for every status change to this URL.Yes
callback_urlStringURL where the user lands after completing the enrollment redirect.No

Cancellation and invalid enrollment

Mercado Pago Wallet Connect supports cancellation from both sides:

User-initiated cancellation: The user can cancel their authorization directly from the Mercado Pago app. When this happens, Mercado Pago sends a cancellation notification to dLocal, which expires the saved authorization internally and sends a cancel-wallet IPN to the merchant with status: "CANCELLED". Treat this webhook as the signal to stop any scheduled charges against that enrollment.

Merchant-initiated cancellation: The merchant can cancel an active enrollment at any time using the Cancel an enrollment endpoint.

In both cases, treat a cancelled enrollment as a terminal state. The user must complete a new enrollment flow before any future recurring charges can be processed.

Servipag

Servipag offers physical and online payments. Users can pay with a card or cash.
For the physical alternative, Servipag has over a thousand stores, both under the SERVIPAG brand and other brands.

Capabilities

Servipag
Min. amount50 CLP
Max. expiration time supported7 days
Notification delayImmediate
RefundsYes
FlowDIRECT
REDIRECT

Request parameters

PropertyTypeDescriptionMandatory?
amountNumberAmount to be charged.Yes
currencyStringCLP

Transaction currency in ISO 4217.
Yes
countryStringCL

Transaction country in ISO 3166.
Yes
payment_method_idStringSP

ID of the selected payment method.
Yes
payment_method_flowStringDIRECT or REDIRECTYes
payer.nameStringName of the payer.Yes
payer.emailStringEmail of the payer.Yes
payer.documentStringDocument of the payer.Yes
order_idStringID of the capture given by the merchant in their system. Think of it as an external ID of the capture.No
notification_urlStringNotifications will be sent in every change of status of a payment to the notification_url specified by the merchant.No

Examples

{
    "amount": 10000,
    "currency": "CLP",
    "country": "CL",
    "payment_method_id": "SP",
    "payment_method_flow": "DIRECT",
    "payer": {
        "name": "Jane Doe",
        "email": "[email protected]",
        "document": "12345678",
        "address": {
            "country": "CL",
            "state": "Santiago",
            "city": "Santiago",
            "zip_code": "8858",
            "street": "Av. Principal",
            "number": "5940"
        }
    },
    "order_id": "34545sk3483kqw0",
    "description": "Tshirt",
    "notification_url": "http://merchantsite.com/notification/new",
    "callback_url": "http://merchantsite.com/success_page"
}
{
    "id": "D-4-c89f518f-87dd-4938-76b1-ed66f307a6ea",
    "amount": 10000,
    "currency": "CLP",
    "payment_method_id": "SP",
    "payment_method_type": "TICKET",
    "payment_method_flow": "DIRECT",
    "country": "CL",
    "bank_transfer": {},
    "ticket": {
        "type": "CUSTOM",
        "number": "1000863245",
        "expiration_date": "2023-06-18T02:59:00.000+0000",
        "company_name": "dLocal",
        "company_id": "50283",
        "company_id2": "50284",
        "provider_name": "SERVIPAG",
        "provider_logo": "https://pay.dlocal.com/views/2.0/images/payments/SP.png",
        "image_url": "https://pay.dlocal.com/gmf-apm/payments/M-9f44955d-a6c5-4ffb-a397-47c6411922b0"
    },
    "created_date": "2023-06-11T15:34:11.000+0000",
    "status": "PENDING",
    "status_detail": "The payment is pending.",
    "status_code": "100",
    "order_id": "34545sk3483kqw0",
    "notification_url": "http://merchantsite.com/notification/new"
}

Example ticket

Example Servipag UI built with the information in the example above.

Example Servipag UI built with the information in the example above.

User Interface Tips UI

If you are using this payment method through a DIRECT integration, follow the tips below in order to make it easier for your customers to complete payments, boosting your conversion rates.

ElementTip
Ticket NumberIt is the number that payers must dictate to the cashiers in order to complete payment. Name it "Referencia" and separate it this way so it is easier to read: 3 digits - 3 digits - 4 digits.
Currency and AmountShould be relevant elements in the ticket. Users need to have that information very clearly.
Currency Symbol$
Type of paymentInclude company_id2 and company_id numbers, as they are important for payers that pay in physical stores.
Expiration dateDisplay this element clearly and visible enough. In Chile, the date format is DD/MM/YYYY.
Accreditation delayLet users know that their payment will be credited immediately. This brings confidence and a sense of security that helps conversion rates.
Payment instructionsAlthough most users are familiarized with Servipag, it is a good practice to help those who are not. The image above is an example of instructions, but if needed, our team will be happy to help you with more personalized instructions.
Store locatorLink it to google.com/maps/search/servipag/.
Save buttonIt helps users to have their tickets always on their phones, making it needless to take notes or keep the browser open.
Print buttonIt is useful for some users who need to have their tickets printed.

Did this page help you?